---
lang: en
title: 'API docs: rest.logerrorprovider'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.logerrorprovider.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [LogErrorProvider](./rest.logerrorprovider.md)

## LogErrorProvider class

<b>Signature:</b>

```typescript
export declare class LogErrorProvider implements Provider<LogError> 
```

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [action(err, statusCode, req)](./rest.logerrorprovider.action.md) |  |  |
|  [value()](./rest.logerrorprovider.value.md) |  |  |


